<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head th:insert="fragments/head :: head(title=#{title.login})"></head>
<body>
<div th:insert="fragments/navbar :: navbar"></div>
<section class="vh-100 gradient-custom">
    <div class="container py-5 h-100">
        <div class="row d-flex justify-content-center align-items-center">
            <div class="col-12 col-md-8 col-lg-6 col-xl-5">
                <div class="card-body p-5 text-center">
                    <div class="mb-md-5 mt-md-4 pb-5">
                        <form class="form-control" method="post" th:action="@{/login}">
                            <h2 class="fw-bold mb-2 text-uppercase" th:text="#{login.title}">Login</h2>
                            <p class="text-primary mb-1" th:text="#{login.message}">Please enter your login and password!</p>
                            <div class="container">
                                <div class="alert alert-danger" role="alert"
                                     th:if="${param.error != null} and ${param.error[0] == 'true'}" th:text="#{login.error}">
                                    Invalid authorization.
                                </div>
                            </div>
                            <div class="form-outline form-white mb-4">
                                <input type="text" id="username" name="username" aria-label="Username"
                                       class="form-control form-control-lg"
                                       th:placeholder="#{login.username}" placeholder="Login/Username">
                            </div>

                            <div class="form-outline form-white mb-4">
                                <input type="password" id="password" name="password" aria-label="Password"
                                       class="form-control form-control-lg"
                                       th:placeholder="#{login.password}" placeholder="Password">
                            </div>
                            <button class="btn btn-outline-primary btn-lg px-5" type="submit" th:text="#{login.btn}">Login</button>
                        </form>
                    </div>
                    <div class="mb-0">
                        <a th:text="#{login.registration.message}">Don't have an account?</a>
                        <a th:href="@{/registration}" class="text-primary fw-bold" th:text="#{nav.register}">Sign Up</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
</body>
</html>

